package com.yihu.wlyy.entity.doctor.team.sign;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.wlyy.entity.IdEntity;

/**
 * 医生与患者关系表
 * @author George
 *
 */
@Entity
@Table(name = "wlyy_doctor_patient")
public class DoctorPatient extends IdEntity {
	private static final long serialVersionUID = -2260152237953602081L;

	// 医生标识
	private String doctor;
	// 医生姓名
	private String doctorName;
	// 医生类型：1专科，2全科，3健管师
	private int doctorType;
	// 患者标识
	private String patient;
	// 患者姓名
	private String patientName;
	// 患者生日
	private Date birthday;
	// 患者性别：1男，0女
	private Integer sex;
	// 疾病类型：0健康，1慢病
	private Integer disease;
	// 类型：1三师团队，2家庭签约团队
	private Integer teamType;
	// 签约类型：00，0代表未签约，1代表已签约；第一位表示三师签约状态，第二位代表家庭签约情况
	private String signType;
	// 状态：0失效，1正常
	private Integer status;
	// 添加时间
	private Date czrq;

	public String getDoctor() {
		return doctor;
	}

	public void setDoctor(String doctor) {
		this.doctor = doctor;
	}

	@Column(name = "doctor_name")
	public String getDoctorName() {
		return doctorName;
	}

	public void setDoctorName(String doctorName) {
		this.doctorName = doctorName;
	}

	@Column(name = "doctor_type")
	public Integer getDoctorType() {
		return doctorType;
	}

	public void setDoctorType(Integer doctorType) {
		this.doctorType = doctorType;
	}

	public String getPatient() {
		return patient;
	}

	public void setPatient(String patient) {
		this.patient = patient;
	}

	@Column(name = "patient_name")
	public String getPatientName() {
		return patientName;
	}

	public void setPatientName(String patientName) {
		this.patientName = patientName;
	}

	public Date getBirthday() {
		return birthday;
	}

	public void setBirthday(Date birthday) {
		this.birthday = birthday;
	}

	public Integer getSex() {
		return sex;
	}

	public void setSex(Integer sex) {
		this.sex = sex;
	}

	public Integer getDisease() {
		return disease;
	}

	public void setDisease(Integer disease) {
		this.disease = disease;
	}

	@Column(name = "team_type")
	public Integer getTeamType() {
		return teamType;
	}

	public void setTeamType(Integer teamType) {
		this.teamType = teamType;
	}

	@Column(name = "sign_type")
	public String getSignType() {
		return signType;
	}

	public void setSignType(String signType) {
		this.signType = signType;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	public Date getCzrq() {
		return czrq;
	}

	public void setCzrq(Date czrq) {
		this.czrq = czrq;
	}

}
